org.apache.lucene.collation

## Class CollationKeyFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.collation.CollationKeyFilterFactory

- All Implemented Interfaces:
    MultiTermAwareComponent, ResourceLoaderAware

  Deprecated.
  use `CollationKeyAnalyzer` instead.

      @Deprecated
      public class CollationKeyFilterFactory
      extends TokenFilterFactory
      implements MultiTermAwareComponent, ResourceLoaderAware

  Factory for `CollationKeyFilter`.

  This factory can be created in two ways:

  - Based upon a system collator associated with a Locale.
  - Based upon a tailored ruleset.

  Using a System collator:

  - language: ISO-639 language code (mandatory)
  - country: ISO-3166 country code (optional)
  - variant: vendor or browser-specific code (optional)
  - strength: 'primary','secondary','tertiary', or 'identical' (optional)
  - decomposition: 'no','canonical', or 'full' (optional)

  Using a Tailored ruleset:

  - custom: UTF-8 text file containing rules supported by RuleBasedCollator (mandatory)
  - strength: 'primary','secondary','tertiary', or 'identical' (optional)
  - decomposition: 'no','canonical', or 'full' (optional)

       <fieldType name="text_clltnky" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.KeywordTokenizerFactory"/>
           <filter class="solr.CollationKeyFilterFactory" language="ja" country="JP"/>
         </analyzer>
       </fieldType>

  Since:
    solr 3.1
  See Also:
    `Collator`, `Locale`, `RuleBasedCollator`

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `args, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollationKeyFilterFactory()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenStream` | `create(TokenStream input)` Deprecated. Transform the specified input TokenStream
    `AbstractAnalysisFactory` | `getMultiTermComponent()` Deprecated. Returns an analysis component to handle analysis if multi-term queries.
    `void` | `inform(ResourceLoader loader)` Deprecated. Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, forName, lookupClass, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, init, setLuceneMatchVersion, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollationKeyFilterFactory

          public CollationKeyFilterFactory()

      Deprecated.

  - ### Method Detail

    - #### inform

          public void inform(ResourceLoader loader)
                      throws IOException

      Deprecated.
      Description copied from interface: `ResourceLoaderAware`
      Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
      Specified by:
        `inform` in interface `ResourceLoaderAware`
      Throws:
        `IOException`

    - #### create

          public TokenStream create(TokenStream input)

      Deprecated.
      Description copied from class: `TokenFilterFactory`
      Transform the specified input TokenStream
      Specified by:
        `create` in class `TokenFilterFactory`

    - #### getMultiTermComponent

          public AbstractAnalysisFactory getMultiTermComponent()

      Deprecated.
      Description copied from interface: `MultiTermAwareComponent`
      Returns an analysis component to handle analysis if multi-term queries. The returned component must be a TokenizerFactory, TokenFilterFactory or CharFilterFactory.
      Specified by:
        `getMultiTermComponent` in interface `MultiTermAwareComponent`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.